Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.gui.dialogs.elementformats
Class ScaleBarPanel

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      info.bioinfweb.treegraph.gui.dialogs.elementformats.ScaleBarPanel

All Implemented Interfaces:
  ElementFormatTab, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible

    public class ScaleBarPanel

extends javax.swing.JPanel
implements ElementFormatTab

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Nested classes/interfaces inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`private javax.swing.ButtonGroup` | `alignGroup`
`private javax.swing.JPanel` | `alignmentPanel`
`private info.webinsel.util.swing.SwingChangeMonitor` | `alignMonitor`
`private javax.swing.JRadioButton` | `decRadioButton`
`private javax.swing.JPanel` | `dimensionsPanel`
`private javax.swing.JPanel` | `directionPanel`
`private DistanceValueInput` | `heightInput`
`private javax.swing.JRadioButton` | `incRadioButton`
`private javax.swing.ButtonGroup` | `increaseGroup`
`private info.webinsel.util.swing.SwingChangeMonitor` | `increaseMonitor`
`private javax.swing.JPanel` | `IntervalPanel`
`private javax.swing.JPanel` | `labelingPanel`
`private javax.swing.JRadioButton` | `leftRadioButton`
`private info.webinsel.util.swing.DecimalInput` | `longIntervalInput`
`private ElementFormatsDialog` | `owner`
`private javax.swing.JRadioButton` | `rightRadioButton`
`private static long` | `serialVersionUID`
`private info.webinsel.util.swing.DecimalInput` | `smallIntervalInput`
`private info.webinsel.util.swing.SwingChangeMonitor` | `startMonitor`
`private javax.swing.JPanel` | `startPanel`
`private DistanceValueInput` | `treeDistanceInput`
`private javax.swing.JRadioButton` | `treeWidthRadioButton`
`private ScaleValueInput` | `widthInput`
`private javax.swing.JRadioButton` | `zeroLeftRadioButton`
`private javax.swing.ButtonGroup` | `zeroPosGroup`
`private javax.swing.JRadioButton` | `zeroRightRadioButton`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`ScaleBarPanel(ElementFormatsDialog owner)` This is the default constructor

Method Summary
`void` | `addOperators(java.util.Vector<FormatOperator> operators)`
`private javax.swing.ButtonGroup` | `getAlignGroup()`
`private javax.swing.JPanel` | `getAlignmentPanel()` This method initializes anchorPanel
`private javax.swing.JRadioButton` | `getDecRadioButton()` This method initializes decRadioButton
`private javax.swing.JPanel` | `getDimensionsPanel()` This method initializes widthPanel
`private javax.swing.JPanel` | `getDirectionPanel()` This method initializes directionPanel
`private javax.swing.JRadioButton` | `getIncRadioButton()` This method initializes incRadioButton
`private javax.swing.ButtonGroup` | `getIncreaseGroup()`
`private javax.swing.JPanel` | `getIntervalPanel()` This method initializes decimalPanel
`private javax.swing.JPanel` | `getLabelingPanel()` This method initializes labelingPanel
`private javax.swing.JRadioButton` | `getLeftRadioButton()` This method initializes leftRadioButton
`private javax.swing.JRadioButton` | `getRightRadioButton()` This method initializes leafsRadioButton
`private javax.swing.JPanel` | `getStartPanel()` This method initializes startPanel
`private javax.swing.JRadioButton` | `getTreeWidthRadioButton()` This method initializes rightRadioButton
`private javax.swing.JRadioButton` | `getZeroLeftRadioButton()` This method initializes zeroLeftRadioButton
`private javax.swing.ButtonGroup` | `getZeroPosGroup()`
`private javax.swing.JRadioButton` | `getZeroRightRadioButton()` This method initializes ueroRightRadioButton
`private void` | `initialize()` This method initializes this
`void` | `resetChangeMonitors()`
`boolean` | `setValues(TreeSelection selection)` The values of the first compatible element in the selection should be set to the input components of this tab.
`java.lang.String` | `title()`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

### owner

    private ElementFormatsDialog owner

### alignmentPanel

    private javax.swing.JPanel alignmentPanel

### leftRadioButton

    private javax.swing.JRadioButton leftRadioButton

### rightRadioButton

    private javax.swing.JRadioButton rightRadioButton

### treeWidthRadioButton

    private javax.swing.JRadioButton treeWidthRadioButton

### alignGroup

    private javax.swing.ButtonGroup alignGroup

### alignMonitor

    private info.webinsel.util.swing.SwingChangeMonitor alignMonitor

### increaseMonitor

    private info.webinsel.util.swing.SwingChangeMonitor increaseMonitor

### startMonitor

    private info.webinsel.util.swing.SwingChangeMonitor startMonitor

### IntervalPanel

    private javax.swing.JPanel IntervalPanel

### treeDistanceInput

    private DistanceValueInput treeDistanceInput

### widthInput

    private ScaleValueInput widthInput

### heightInput

    private DistanceValueInput heightInput

### smallIntervalInput

    private info.webinsel.util.swing.DecimalInput smallIntervalInput

### longIntervalInput

    private info.webinsel.util.swing.DecimalInput longIntervalInput

### dimensionsPanel

    private javax.swing.JPanel dimensionsPanel

### startPanel

    private javax.swing.JPanel startPanel

### zeroLeftRadioButton

    private javax.swing.JRadioButton zeroLeftRadioButton

### zeroRightRadioButton

    private javax.swing.JRadioButton zeroRightRadioButton

### zeroPosGroup

    private javax.swing.ButtonGroup zeroPosGroup

### labelingPanel

    private javax.swing.JPanel labelingPanel

### directionPanel

    private javax.swing.JPanel directionPanel

### incRadioButton

    private javax.swing.JRadioButton incRadioButton

### decRadioButton

    private javax.swing.JRadioButton decRadioButton

### increaseGroup

    private javax.swing.ButtonGroup increaseGroup

Constructor Detail

### ScaleBarPanel

    public ScaleBarPanel(ElementFormatsDialog owner)

  This is the default constructor

Method Detail

### addOperators

    public void addOperators(java.util.Vector<FormatOperator> operators)

  Specified by:
    `addOperators` in interface `ElementFormatTab`

### resetChangeMonitors

    public void resetChangeMonitors()

  Specified by:
    `resetChangeMonitors` in interface `ElementFormatTab`

### setValues

    public boolean setValues(TreeSelection selection)

  Description copied from interface: `ElementFormatTab`
  The values of the first compatible element in the selection should be set to the input components of this tab.

  Specified by:
    `setValues` in interface `ElementFormatTab`
  Parameters:
    `selection` - - the currently selected tree elements
  Returns:
    `false` if no compatible element was selected

### title

    public java.lang.String title()

  Specified by:
    `title` in interface `ElementFormatTab`

### initialize

    private void initialize()

  This method initializes this

### getAlignmentPanel

    private javax.swing.JPanel getAlignmentPanel()

  This method initializes anchorPanel

  Returns:
    javax.swing.JPanel

### getLeftRadioButton

    private javax.swing.JRadioButton getLeftRadioButton()

  This method initializes leftRadioButton

  Returns:
    javax.swing.JRadioButton

### getRightRadioButton

    private javax.swing.JRadioButton getRightRadioButton()

  This method initializes leafsRadioButton

  Returns:
    javax.swing.JRadioButton

### getTreeWidthRadioButton

    private javax.swing.JRadioButton getTreeWidthRadioButton()

  This method initializes rightRadioButton

  Returns:
    javax.swing.JRadioButton

### getAlignGroup

    private javax.swing.ButtonGroup getAlignGroup()

### getIntervalPanel

    private javax.swing.JPanel getIntervalPanel()

  This method initializes decimalPanel

  Returns:
    javax.swing.JPanel

### getDimensionsPanel

    private javax.swing.JPanel getDimensionsPanel()

  This method initializes widthPanel

  Returns:
    javax.swing.JPanel

### getStartPanel

    private javax.swing.JPanel getStartPanel()

  This method initializes startPanel

  Returns:
    javax.swing.JPanel

### getZeroLeftRadioButton

    private javax.swing.JRadioButton getZeroLeftRadioButton()

  This method initializes zeroLeftRadioButton

  Returns:
    javax.swing.JRadioButton

### getZeroRightRadioButton

    private javax.swing.JRadioButton getZeroRightRadioButton()

  This method initializes ueroRightRadioButton

  Returns:
    javax.swing.JRadioButton

### getZeroPosGroup

    private javax.swing.ButtonGroup getZeroPosGroup()

### getLabelingPanel

    private javax.swing.JPanel getLabelingPanel()

  This method initializes labelingPanel

  Returns:
    javax.swing.JPanel

### getDirectionPanel

    private javax.swing.JPanel getDirectionPanel()

  This method initializes directionPanel

  Returns:
    javax.swing.JPanel

### getIncRadioButton

    private javax.swing.JRadioButton getIncRadioButton()

  This method initializes incRadioButton

  Returns:
    javax.swing.JRadioButton

### getDecRadioButton

    private javax.swing.JRadioButton getDecRadioButton()

  This method initializes decRadioButton

  Returns:
    javax.swing.JRadioButton

### getIncreaseGroup

    private javax.swing.ButtonGroup getIncreaseGroup()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD